function textInterpolate(e) {
	return function(t) {
		this.textContent = e.call(this, t);
	};
}
function textTween(t) {
	var n, r;
	function i() {
		var i = t.apply(this, arguments);
		return i !== r && (n = (r = i) && textInterpolate(i)), n;
	}
	return i._value = t, i;
}
function textTween_default(e) {
	var n = "text";
	if (arguments.length < 1) return (n = this.tween(n)) && n._value;
	if (e == null) return this.tween(n, null);
	if (typeof e != "function") throw Error();
	return this.tween(n, textTween(e));
}
export { textTween_default as default };
